language: cn
model_unique_abbr: montecarlo
version: 1.0
identification:
  docker_image_name: montecarlo:1.0

  model_name: 序贯高斯模拟
  semantic: sequential_gaussian_simulation
  description: 该模型用于进行序贯高斯模拟，以生成符合给定统计特性的空间数据。
  category_application: 预测型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 序贯高斯模拟
  - 空间数据模拟

parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: true
    param_type: input_data
    name: 原始数据
    description: 用于模拟的原始空间数据，可以是点或面数据。
    data_type: shp
    data_semantic: original spatial data

  - arg_name: num_simulations
    is_single_en_dash: true
    param_type: param
    name: 模拟次数
    description: 进行模拟的次数，用于生成多组模拟结果，默认为100。
    data_type: int
    data_semantic: number of simulations

  - arg_name: output
    is_single_en_dash: true
    param_type: output_data
    name: 模拟结果
    description: 序贯高斯模拟生成的空间数据结果。
    data_type: shp
    data_semantic: simulated spatial data

application:
  domain: 空间数据模拟
  objective: 生成符合指定统计特性和变异结构的空间数据，用于进一步的分析和决策支持。
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 基于高斯随机场的序贯模拟方法生成空间数据。

operation:
  usage: 运行模型时需要指定必选参数，包括输入数据、模拟次数、变异函数模型以及输出数据。
  exec_example:
  - docker run -v $PWD/data:/data montecarlo:1.0 /data/src/montecarlo.py --input /data/data/original_data.shp --num_simulations 100 --output /data/results/simulated_result.shp
  output_display:
  - 展示模拟生成的结果 shp 文件。
  license:
  - GPL-2
  - GPL-3

technique:
  language:
  - R
  os:
  - Linux
  - Windows
  parallel: []
  hardware: []
  dependencies:
  - name: gstat
    version: 2.0-6

source:
  maintainer: Chen Jian
  organization: Beijing University of Civil Engineering and Architecture
  contact: 2108160224007@stu.bucea.edu.cn
